#
# spec file for package libsass
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libsass-3_3_2-0
Name:           libsass
Version:        3.3.2
Release:        2.5
Summary:        C/C++ Sass compiler library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/sass/libsass
Source:         https://github.com/sass/libsass/archive/3.3.2.tar.gz#/%name-%version.tar.gz
Patch1:         libsass-am.diff
Patch2:         libsass-vers.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sass is a CSS pre-processor language to add new features to CSS.
LibSass is a C/C++ port of the Sass CSS precompiler.

%package -n %{libname}
Summary:        Library shared object of libsass
Group:          Development/Libraries/C and C++

%description -n %{libname}
This package provides the shared library object for libsass

%package devel
Summary:        C/C++ Sass compiler library development files
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
This package provides development header files for libsass

%prep
%setup -q
%patch -P 1 -P 2 -p1

%build
if [ ! -f VERSION ]; then
	echo "%{version}" >VERSION
fi
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
%make_install
find "%{buildroot}" -type f -name "*.la" -delete

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libsass*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/sass*
%{_libdir}/pkgconfig/libsass.pc
%{_libdir}/libsass*.so

%changelog
* Fri Jul 15 2016 jengelh@inai.de
- Add libsass-am.diff, libsass-vers.diff to do proper versioning on
  shared library.
- Drop useless with-pic (only for — unbuilt — static libs)
* Wed Jul 13 2016 psimons@suse.com
- Remove redundant "Obsoletes" attribute from spec file. New
  versions implicitly obsolete older versions of the same package;
  this doesn't need to be stated explicitly.
* Sun Jul  3 2016 psimons@suse.com
- Build a shared library instead of a static one.
- Rename the main package to match the shared library's SONAME.
- Enable "make check" test suite.
- Run the spec file through spec-cleaner.
* Tue Jan  5 2016 dmueller@suse.com
- add license
* Mon Jan  4 2016 cbosdonnat@suse.com
- Release 3.3.2
